pandoc-lua-marshal-0.3.0: Use pandoc types in Lua

Copyright | © 2021-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.TableHead

Description

Marshaling/unmarshaling functions of `TableHead` values.

Synopsis

- peekTableHead :: LuaError e => Peeker e TableHead
- pushTableHead :: LuaError e => TableHead -> LuaE e ()
- typeTableHead :: LuaError e => DocumentedType e TableHead
- mkTableHead :: LuaError e => DocumentedFunction e

# Documentation

peekTableHead :: LuaError e => Peeker e TableHead #

Retrieves a `Cell` from the stack.

pushTableHead :: LuaError e => TableHead -> LuaE e () #

Push a TableHead as a userdata value.

typeTableHead :: LuaError e => DocumentedType e TableHead #

Row object type.

mkTableHead :: LuaError e => DocumentedFunction e #

Constructor function for `Row` values.